
Redmine - Defect #19627

Cannot set task.Parent = Grandparent

2015-04-15 09:54 - Ewan Makepeace

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.0.3

Description

To reproduce:

1. Create a task A

2. Creata another task B and set A as parent: B -> A

3. Create a third task C and set B as parent  C -> B -> A

Suppose B and  C were both supposed to be children of A:

1. Edit C, change the parent field to refer to A instead of B

2. Save fails.

3. Edit C, change the parent field to nothing.

4. Save succeeds

5. Edit C, change the parent field to A

6. Save succeeds

So it is only possible to make C a child of A by first removing it from B. There seems to be no justification for this?

Related issues:

Is duplicate of Redmine - Defect #13654: Can't set parent issue when issue re... Closed

History

#1 - 2015-05-15 05:54 - Toshi MARUYAMA

- Affected version changed from 2.6.0 to 3.0.3

#2 - 2015-05-15 05:55 - Toshi MARUYAMA

- Status changed from New to Confirmed

#3 - 2015-05-15 20:25 - Leonel Iturralde

Hi,

I think it is related to #8794 and r11641

#4 - 2016-01-17 03:40 - Go MAEDA

- Status changed from Confirmed to Closed

- Resolution set to Duplicate

Fixed by #13654.

#5 - 2016-01-17 03:42 - Go MAEDA

- Is duplicate of Defect #13654: Can't set parent issue when issue relations among child issues are present added
https://www.redmine.org/projects/redmine/repository/svn/revisions/11641
